GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
gdcm::DictPrinter Class Reference

DictPrinter class. More...

`#include <gdcmDictPrinter.h>`

Inheritance diagram for gdcm::DictPrinter:
[legend]
Collaboration diagram for gdcm::DictPrinter:
[legend]

## Public Member Functions

| DictPrinter ()
| ~DictPrinter ()
void | Print (std::ostream &os)
Public Member Functions inherited from gdcm::Printer
| Printer ()
| ~Printer ()
PrintStyles | GetPrintStyle () const
| Get PrintStyle value.
void | Print (std::ostream &os)
| Print.
void | PrintDataSet (const DataSet &ds, std::ostream &os, const std::string &s="")
| Print an individual dataset.
void | SetColor (bool c)
| Set color mode or not.
void | SetFile (File const &f)
| Set file.
void | SetStyle (PrintStyles ps)
| Set PrintStyle value.

## Protected Member Functions

void | PrintDataElement2 (std::ostream &os, const DataSet &ds, const DataElement &ide)
void | PrintDataSet2 (std::ostream &os, const DataSet &ds)
Protected Member Functions inherited from gdcm::Printer
VR | PrintDataElement (std::ostringstream &os, const Dicts &dicts, const DataSet &ds, const DataElement &de, std::ostream &out, std::string const &indent)
void | PrintSQ (const SequenceOfItems *sqi, std::ostream &os, std::string const &indent)

## Additional Inherited Members

Public Types inherited from gdcm::Printer
enum | PrintStyles { VERBOSE_STYLE = 0, CONDENSED_STYLE, XML }
Protected Attributes inherited from gdcm::Printer
const File * | F
VL | MaxPrintLength
PrintStyles | PrintStyle

## Detailed Description

DictPrinter class.

## Constructor & Destructor Documentation

gdcm::DictPrinter::DictPrinter | ( |  | ) |

gdcm::DictPrinter::~DictPrinter | ( |  | ) |

## Member Function Documentation

void gdcm::DictPrinter::Print | ( | std::ostream & | os | ) |

void gdcm::DictPrinter::PrintDataElement2 | ( | std::ostream & | os,
|  | const DataSet & | ds,
|  | const DataElement & | ide
| ) |  |

protected

void gdcm::DictPrinter::PrintDataSet2 | ( | std::ostream & | os,
|  | const DataSet & | ds
| ) |  |

protected

The documentation for this class was generated from the following file:

- gdcmDictPrinter.h